<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIFSMiniStore (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIFSMiniStore (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSMiniStore.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/POIFSMiniStore.html"
               target="_top">Frames</a></li>
        <li><a href="POIFSMiniStore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.poifs.filesystem.BlockStore">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class POIFSMiniStore" class="title">Class POIFSMiniStore</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                       title="class in org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem.BlockStore</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.poifs.filesystem.POIFSMiniStore</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">POIFSMiniStore</span>
extends <a href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
           title="class in org.apache.poi.poifs.filesystem">BlockStore</a></pre>
                <div class="block">This class handles the MiniStream (small block store)
                    in the NIO case for <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                           title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.poifs.filesystem.BlockStore">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.poifs.filesystem.<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                        title="class in org.apache.poi.poifs.filesystem">BlockStore</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.ChainLoopDetector.html"
                                        title="class in org.apache.poi.poifs.filesystem">BlockStore.ChainLoopDetector</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected java.nio.ByteBuffer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#createBlockIfNeeded-int-">createBlockIfNeeded</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Load the block, extending the underlying stream if needed</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getBATBlockAndIndex-int-">getBATBlockAndIndex</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Returns the BATBlock that handles the specified offset,
                                        and the relative index within it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.nio.ByteBuffer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getBlockAt-int-">getBlockAt</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Load the block at the given offset.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getBlockStoreBlockSize--">getBlockStoreBlockSize</a></span>()</code>
                                    <div class="block">Returns the size of the blocks managed through the block store.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.ChainLoopDetector.html"
                                        title="class in org.apache.poi.poifs.filesystem">BlockStore.ChainLoopDetector</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getChainLoopDetector--">getChainLoopDetector</a></span>()</code>
                                    <div class="block">Creates a Detector for loops in the chain</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getFreeBlock--">getFreeBlock</a></span>()</code>
                                    <div class="block">Finds a free block, and returns its offset.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#getNextBlock-int-">getNextBlock</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Works out what block follows the specified one.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html#setNextBlock-int-int-">setNextBlock</a></span>(int&nbsp;offset,
                                    int&nbsp;nextBlock)</code>
                                    <div class="block">Changes the record of what block follows the specified one.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBlockAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlockAt</h4>
                                <pre>protected&nbsp;java.nio.ByteBuffer&nbsp;getBlockAt(int&nbsp;offset)</pre>
                                <div class="block">Load the block at the given offset.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getBlockAt-int-">getBlockAt</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createBlockIfNeeded-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBlockIfNeeded</h4>
                                <pre>protected&nbsp;java.nio.ByteBuffer&nbsp;createBlockIfNeeded(int&nbsp;offset)
                                           throws java.io.IOException</pre>
                                <div class="block">Load the block, extending the underlying stream if needed</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#createBlockIfNeeded-int-">createBlockIfNeeded</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBATBlockAndIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBATBlockAndIndex</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a>&nbsp;getBATBlockAndIndex(int&nbsp;offset)</pre>
                                <div class="block">Returns the BATBlock that handles the specified offset,
                                    and the relative index within it
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getBATBlockAndIndex-int-">getBATBlockAndIndex</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNextBlock-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNextBlock</h4>
                                <pre>protected&nbsp;int&nbsp;getNextBlock(int&nbsp;offset)</pre>
                                <div class="block">Works out what block follows the specified one.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getNextBlock-int-">getNextBlock</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNextBlock-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNextBlock</h4>
                                <pre>protected&nbsp;void&nbsp;setNextBlock(int&nbsp;offset,
                            int&nbsp;nextBlock)</pre>
                                <div class="block">Changes the record of what block follows the specified one.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#setNextBlock-int-int-">setNextBlock</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFreeBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFreeBlock</h4>
                                <pre>protected&nbsp;int&nbsp;getFreeBlock()
                    throws java.io.IOException</pre>
                                <div class="block">Finds a free block, and returns its offset.
                                    This method will extend the file if needed, and if doing
                                    so, allocate new FAT blocks to address the extra space.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getFreeBlock--">getFreeBlock</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChainLoopDetector--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChainLoopDetector</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.ChainLoopDetector.html"
                                        title="class in org.apache.poi.poifs.filesystem">BlockStore.ChainLoopDetector</a>&nbsp;getChainLoopDetector()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getChainLoopDetector--">BlockStore</a></code></span>
                                </div>
                                <div class="block">Creates a Detector for loops in the chain</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getChainLoopDetector--">getChainLoopDetector</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlockStoreBlockSize--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getBlockStoreBlockSize</h4>
                                <pre>protected&nbsp;int&nbsp;getBlockStoreBlockSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getBlockStoreBlockSize--">BlockStore</a></code></span>
                                </div>
                                <div class="block">Returns the size of the blocks managed through the block store.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html#getBlockStoreBlockSize--">getBlockStoreBlockSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                                title="class in org.apache.poi.poifs.filesystem">BlockStore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSMiniStore.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/POIFSMiniStore.html"
               target="_top">Frames</a></li>
        <li><a href="POIFSMiniStore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.poifs.filesystem.BlockStore">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
